Bug 1055065 - (CVE-2017-13060) VUL-1: CVE-2017-13060: ImageMagick: In ImageMagick 7.0.6-5, a memory leak vulnerability was found in thefunction ReadMATImage in coders/mat.c, which allows attackers to causea denial of service via a crafted file.
(CVE-2017-13060)
VUL-1: CVE-2017-13060: ImageMagick: In ImageMagick 7.0.6-5, a memory leak vul...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/190880/
CVSSv3:SUSE:CVE-2017-13060:5.3:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-22 15:53 UTC by Marcus Meissner
Modified: 2018-01-31 20:27 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
memory_leak_in_ReadMATImage963.mat (247 bytes, application/octet-stream)
2017-08-22 15:54 UTC, Marcus Meissner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2017-08-22 15:53:23 UTC
CVE-2017-13060

In ImageMagick 7.0.6-5, a memory leak vulnerability was found in the
function ReadMATImage in coders/mat.c, which allows attackers to cause
a denial of service via a crafted file.


https://github.com/ImageMagick/ImageMagick/issues/644
Comment 1 Marcus Meissner 2017-08-22 15:54:20 UTC
Created attachment 737827 [details]
memory_leak_in_ReadMATImage963.mat

QA REPRODUCER:

valgrind identify memory_leak_in_ReadMATImage963.mat


... actually it hangs for me currently, seems to have endless loop?

should not hang, should not leak memory.
Comment 3 Petr Gajdos 2018-01-08 08:45:01 UTC
12/ImageMagick

BEFORE

$ identify memory_leak_in_ReadMATImage_2.mat
[hangs or last long]

AFTER

$ identify memory_leak_in_ReadMATImage_2.mat 
055065: improper image header `memory_leak_in_ReadMATImage963.mat' @ error/mat.c/ReadMATImage/1424.
$
[exits immediatelly]
Comment 5 Petr Gajdos 2018-01-08 11:01:34 UTC
11/ImageMagick

BEFORE

$ identify memory_leak_in_ReadMATImage_2.mat
[hangs or last long]

AFTER

$ identify memory_leak_in_ReadMATImage_2.mat 
identify: Improper image header `memory_leak_in_ReadMATImage963.mat'.
$
[exits immediatelly]
Comment 6 Petr Gajdos 2018-01-08 11:55:11 UTC
11/GraphicsMagick

$ valgrind -q --leak-check=full gm identify memory_leak_in_ReadMATImage963.mat
gm identify: Request did not return an image.
$

42.x/GraphicsMagick

$ valgrind -q --leak-check=full gm identify memory_leak_in_ReadMATImage963.mat
gm identify: Unable to uncompress image (memory_leak_in_ReadMATImage963.mat).
gm identify: Request did not return an image.
$

HG/GraphicsMagick

$ valgrind -q --leak-check=full gm identify memory_leak_in_ReadMATImage963.mat
gm identify: Unable to uncompress image (memory_leak_in_ReadMATImage963.mat).
gm identify: Request did not return an image.
$

Not reproducible. 

11/GraphicsMagick: image2 variable is not there at all
HG/GraphicsMagick: image2 is freed via ThrowImg2MATReaderException()

Considering not affected.
Comment 7 Petr Gajdos 2018-01-08 11:55:35 UTC
Will submit for: 12/ImageMagick, 11/ImageMagick
Comment 9 Petr Gajdos 2018-01-08 12:51:10 UTC
Will also submit for: 42.x/GraphicsMagick
Comment 10 Petr Gajdos 2018-01-08 15:26:51 UTC
I believe all fixed.
Comment 11 Swamp Workflow Management 2018-01-08 15:50:33 UTC
This is an autogenerated message for OBS integration:
This bug (1055065) was mentioned in
https://build.opensuse.org/request/show/562562 42.3 / GraphicsMagick
https://build.opensuse.org/request/show/562563 42.2 / GraphicsMagick
Comment 12 Swamp Workflow Management 2018-01-09 13:10:33 UTC
This is an autogenerated message for OBS integration:
This bug (1055065) was mentioned in
https://build.opensuse.org/request/show/562871 42.3 / GraphicsMagick
https://build.opensuse.org/request/show/562872 42.2 / GraphicsMagick
Comment 14 Swamp Workflow Management 2018-01-15 14:09:05 UTC
openSUSE-SU-2018:0087-1: An update that solves 13 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1047044,1049373,1050129,1051412,1052468,1052710,1052720,1052731,1055065,1055434,1058640,1067177,1074123,1074975
CVE References: CVE-2017-10800,CVE-2017-11449,CVE-2017-11532,CVE-2017-12564,CVE-2017-12670,CVE-2017-12672,CVE-2017-12675,CVE-2017-13060,CVE-2017-13648,CVE-2017-14326,CVE-2017-16547,CVE-2017-17881,CVE-2017-18022
Sources used:
openSUSE Leap 42.3 (src):    GraphicsMagick-1.3.25-57.1
openSUSE Leap 42.2 (src):    GraphicsMagick-1.3.25-11.60.1
Comment 15 Swamp Workflow Management 2018-01-18 14:09:20 UTC
SUSE-SU-2018:0130-1: An update that fixes 21 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1047044,1047898,1050120,1050606,1051446,1052468,1052550,1052710,1052720,1052731,1052732,1055065,1055323,1055434,1055855,1058640,1059751,1074123,1074969,1074973,1074975
CVE References: CVE-2017-10800,CVE-2017-11141,CVE-2017-11529,CVE-2017-11644,CVE-2017-11724,CVE-2017-12434,CVE-2017-12564,CVE-2017-12667,CVE-2017-12670,CVE-2017-12672,CVE-2017-12675,CVE-2017-13060,CVE-2017-13146,CVE-2017-13648,CVE-2017-13658,CVE-2017-14326,CVE-2017-14533,CVE-2017-17881,CVE-2017-18022,CVE-2018-5246,CVE-2018-5247
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Server 12-SP3 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-71.26.1
Comment 16 Swamp Workflow Management 2018-01-18 14:14:16 UTC
SUSE-SU-2018:0132-1: An update that fixes 31 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042948,1047044,1047898,1049373,1050120,1050606,1051412,1051446,1052252,1052468,1052550,1052710,1052720,1052731,1052732,1052771,1055065,1055323,1055434,1055855,1058082,1058640,1059751,1072902,1074122,1074123,1074425,1074610,1074969,1074973,1074975
CVE References: CVE-2017-1000445,CVE-2017-1000476,CVE-2017-10800,CVE-2017-11141,CVE-2017-11449,CVE-2017-11529,CVE-2017-11644,CVE-2017-11724,CVE-2017-11751,CVE-2017-12430,CVE-2017-12434,CVE-2017-12564,CVE-2017-12642,CVE-2017-12667,CVE-2017-12670,CVE-2017-12672,CVE-2017-12675,CVE-2017-13060,CVE-2017-13146,CVE-2017-13648,CVE-2017-13658,CVE-2017-14249,CVE-2017-14326,CVE-2017-14533,CVE-2017-17680,CVE-2017-17881,CVE-2017-17882,CVE-2017-18022,CVE-2017-9409,CVE-2018-5246,CVE-2018-5247
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.22.1
SUSE Linux Enterprise Server 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.22.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.22.1
Comment 17 Swamp Workflow Management 2018-01-20 17:13:38 UTC
openSUSE-SU-2018:0155-1: An update that fixes 21 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1047044,1047898,1050120,1050606,1051446,1052468,1052550,1052710,1052720,1052731,1052732,1055065,1055323,1055434,1055855,1058640,1059751,1074123,1074969,1074973,1074975
CVE References: CVE-2017-10800,CVE-2017-11141,CVE-2017-11529,CVE-2017-11644,CVE-2017-11724,CVE-2017-12434,CVE-2017-12564,CVE-2017-12667,CVE-2017-12670,CVE-2017-12672,CVE-2017-12675,CVE-2017-13060,CVE-2017-13146,CVE-2017-13648,CVE-2017-13658,CVE-2017-14326,CVE-2017-14533,CVE-2017-17881,CVE-2017-18022,CVE-2018-5246,CVE-2018-5247
Sources used:
openSUSE Leap 42.3 (src):    ImageMagick-6.8.8.1-49.1
openSUSE Leap 42.2 (src):    ImageMagick-6.8.8.1-30.21.1
Comment 18 Andreas Stieger 2018-01-31 20:27:55 UTC
releasing for Leap,done